Bug 228877 - [GLIB] fast/events/check-defocus-event-order-when-triggered-by-mouse-click.html fails due to rounded corners
Summary: [GLIB] fast/events/check-defocus-event-order-when-triggered-by-mouse-click.ht...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-08-06 14:51 PDT by Arcady Goldmints-Orlov
Modified: 2021-08-09 09:07 PDT (History)
2 users (show)

See Also:


Attachments
Patch (1.82 KB, patch)
2021-08-06 14:53 PDT, Arcady Goldmints-Orlov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arcady Goldmints-Orlov 2021-08-06 14:51:52 PDT
The test in question moves the mouse pointer to the top left corner of an input element and tries to click, but on GTK/WPE this misses if the system theme results in the element having rounded corners, meaning the top left corner of the bounding box is not actually inside the element. It should move the mouse to the center instead.
Comment 1 Arcady Goldmints-Orlov 2021-08-06 14:53:32 PDT
Created attachment 435092 [details]
Patch
Comment 2 Arcady Goldmints-Orlov 2021-08-07 07:31:37 PDT
For what it's worth a quick search of other tests that use eventSender.mouseMoveTo with offsetLeft shows that the overwhelming majority use some kind of offset, presumably because of exactly this sort of issue.
Comment 3 EWS 2021-08-09 09:06:13 PDT
Committed r280779 (240363@main): <https://commits.webkit.org/240363@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 435092 [details].
Comment 4 Radar WebKit Bug Importer 2021-08-09 09:07:17 PDT
<rdar://problem/81697626>